#include <iostream>
using namespace std;


int main(){
	
	int t;
	bool k=true;
	cin>>t;
	int x[t], y[t];
	for(int e=0; e<t; e++){
		cin>>x[e]>>y[e];
	}
	
	for(int i=0; i<t; i++){
		if(x[i]<y[i]-1 && x[i]%3!=0){
			cout<<"-1"<<endl;}
			
		else{
			for(int j=0; j<y[i]; j++){
				if(j==y[i]-1 || j==0){
					for(int s=0; s<x[i]; s++){
						cout<<1;
					}
					cout<<"\n";
				}
				else{
				cout<<1;
				for(int s=0; s<x[i]-(j+1); s++){
					cout<<0;
				}
				for(int s=0; s<x[i]-(x[i]-(j+1)+1); s++){
					cout<<1;
				}
				cout<<"\n";
				}
			}
		}
		cout<<"\n";
	}
		
	
	return 0;
}